PROGRAM ArmstrongNumber
   IMPLICIT NONE
  
   INTEGER :: D1, D2, D3
   INTEGER :: D123 , D1_3_D2_3_D3_3
   INTEGER :: Count

   Count = 0

   DO D1 = 0 , 9
      DO D2 = 0 , 9
         DO D3 = 0, 9
            D123 = D1 * 100 + D2 * 10 + D3
            D1_3_D2_3_D3_3 = D1 ** 3 + D2 ** 3 + D3 ** 3
            IF ( D123 == D1_3_D2_3_D3_3 ) THEN
               Count = Count + 1
               WRITE(*,*) 'Armstorg number ', Count,': ', D123
            END IF
         END DO
      END DO
   END DO
END PROGRAM ArmstrongNumber


